Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.application
Interface IActionBarConfigurer

public interface IActionBarConfigurer

Interface providing special access for configuring the action bars of a workbench window.

Note that these objects are only available to the main application (the plug-in that creates and owns the workbench).

This interface is not intended to be implemented by clients.

Since:
  3.0
See Also:
  `WorkbenchAdvisor.fillActionBars(org.eclipse.ui.IWorkbenchWindow, org.eclipse.ui.application.IActionBarConfigurer, int)`

Method Summary
`ICoolBarManager` | `getCoolBarManager()` Returns the cool bar manager of the workbench window.
`IMenuManager` | `getMenuManager()` Returns the menu manager for the main menu bar of a workbench window.
`IStatusLineManager` | `getStatusLineManager()` Returns the status line manager of a workbench window.
`void` | `registerGlobalAction(IAction action)` Register the action as a global action with a workbench window.

Method Detail

### getMenuManager

    public IMenuManager getMenuManager()

  Returns the menu manager for the main menu bar of a workbench window.

  Returns:
    the menu manager

### getStatusLineManager

    public IStatusLineManager getStatusLineManager()

  Returns the status line manager of a workbench window.

  Returns:
    the status line manager

### getCoolBarManager

    public ICoolBarManager getCoolBarManager()

  Returns the cool bar manager of the workbench window.

  Returns:
    the cool bar manager

### registerGlobalAction

    public void registerGlobalAction(IAction action)

  Register the action as a global action with a workbench window.

  For a workbench retarget action (`RetargetAction`) to work, it must be registered. You should also register actions that will participate in custom key bindings.

  Parameters:
    `action` - the global action
  See Also:
    `RetargetAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.